﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
/*Add this line to use WordWriter:*/
using SoftArtisans.OfficeWriter.WordWriter;

namespace HelloWorld
{
    public partial class WordApplication_HelloWorld : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            ErrorLabel.Visible = false;
        }

        protected void RunHelloWorld_Click(object sender, EventArgs e)
        {
            try
            {
                //Instantiate the WordApplication object
                WordApplication WAPP = new WordApplication();

                //Create a new document
                //Note: WordApplication only supports creating and modifying DOC and DOT files
                Document DOC = WAPP.Create();

                //Get the value from the text box
                string value = DataValueBox.Text.Trim();

                //Text strings need to be inserted into a paragraph, table cell, or list entry
                //In this case, when the text is inserted into the document,
                //it's actually inserted into the last paragraph in the document
                //Documents created by WordApplication come with a paragraph, so we do not need
                //to create that paragraph

                //Insert the text as a new character run into the document
                DOC.InsertTextAfter(value, true);

                //Save the output by streaming it back to the users as an attachment
                WAPP.Save(DOC, Response, "Output.doc", false);

            }
            catch (Exception ex)
            {
                ErrorLabel.Visible = true;
                if (ex.Message.Contains("General license key exception"))
                {
                    ErrorLabel.Text = "OfficeWriter does not appear to be" +
                       " installed on this machine. If you have not " +
                       "purchased OfficeWriter, you can download the "+
                       "evaluation version here: "+
                       "http://www.officewriter.com/officewriter-free-evaluation.aspx";
                }
                else
                {
                    ErrorLabel.Text = ex.Message;
                }

            }
        }
    }
}
